Argus Camera Sample Argus Camera Sample

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Private Member Functions | Private Attributes
ArgusSamples::CameraApp Class Reference
Inheritance diagram for ArgusSamples::CameraApp:

List of all members.

## Public Member Functions
| CameraApp (const char *appName)
| ~CameraApp ()
App methods
virtual bool | initialize ()
virtual bool | shutdown ()
virtual bool | start ()
Public Member Functions inherited from ArgusSamples::App
| App (const char *appName)
virtual | ~App ()
bool | run (int argc, char **argv)

## Private Member Functions
| CameraApp ()
| Hide default constructor.
bool | onModuleChanged (const Observed &source)
IKeyObserver methods
virtual bool | onKey (const Key &key)

## Private Attributes
AppModuleGeneric | m_moduleGeneric
Value< Modules > | m_module
| active module
Modules | m_prevModule
| previously active module
Modules | m_activeModuleBeforeGallery
| active module when switching to gallery
std::vector< IAppModule * > | m_modules
| all modules
Window::IGuiMenuBar * | m_iGuiMenuBar
| menu bar
Window::IGuiContainer * | m_iGuiContainerConfig
| container for config GUI elements

## Additional Inherited Members
IKeyObserver methods
Protected Attributes inherited from ArgusSamples::App
Options | m_options

## Detailed Description

Definition at line 103 of file Main.cpp.

## Constructor & Destructor Documentation

ArgusSamples::CameraApp::CameraApp | ( | const char * | appName | ) |
| explicit

Definition at line 142 of file Main.cpp.

ArgusSamples::CameraApp::~CameraApp | ( |  | ) |

Definition at line 154 of file Main.cpp.

ArgusSamples::CameraApp::CameraApp | ( |  | ) |
| private

Hide default constructor.

## Member Function Documentation

bool ArgusSamples::CameraApp::initialize | ( |  | ) |
| virtual

Reimplemented from ArgusSamples::App.

Definition at line 159 of file Main.cpp.

bool ArgusSamples::CameraApp::onKey | ( | const Key & | key | ) |
| private virtual

Reimplemented from ArgusSamples::App.

Definition at line 287 of file Main.cpp.

bool ArgusSamples::CameraApp::onModuleChanged | ( | const Observed & | source | ) |
| private

Definition at line 335 of file Main.cpp.

bool ArgusSamples::CameraApp::shutdown | ( |  | ) |
| virtual

Reimplemented from ArgusSamples::App.

Definition at line 240 of file Main.cpp.

bool ArgusSamples::CameraApp::start | ( |  | ) |
| virtual

Implements ArgusSamples::App.

Definition at line 263 of file Main.cpp.

## Member Data Documentation

Modules ArgusSamples::CameraApp::m_activeModuleBeforeGallery
| private

active module when switching to gallery

Definition at line 134 of file Main.cpp.

Window::IGuiContainer* ArgusSamples::CameraApp::m_iGuiContainerConfig
| private

container for config GUI elements

Definition at line 139 of file Main.cpp.

Window::IGuiMenuBar* ArgusSamples::CameraApp::m_iGuiMenuBar
| private

menu bar

Definition at line 138 of file Main.cpp.

Value<Modules> ArgusSamples::CameraApp::m_module
| private

active module

Definition at line 131 of file Main.cpp.

AppModuleGeneric ArgusSamples::CameraApp::m_moduleGeneric
| private

Definition at line 129 of file Main.cpp.

std::vector<IAppModule*> ArgusSamples::CameraApp::m_modules
| private

all modules

Definition at line 136 of file Main.cpp.

Modules ArgusSamples::CameraApp::m_prevModule
| private

previously active module

Definition at line 132 of file Main.cpp.

The documentation for this class was generated from the following file:

- ui/camera/Main.cpp